<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::compress_stream_kernel_2&lt; fce, fcd, lz77_buffer, sliding_buffer, fce_length, fcd_length, fce_index, fcd_index, crc32 &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1compress__stream__kernel__2.html">compress_stream_kernel_2</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a> &#124;
<a href="classdlib_1_1compress__stream__kernel__2-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::compress_stream_kernel_2&lt; fce, fcd, lz77_buffer, sliding_buffer, fce_length, fcd_length, fce_index, fcd_index, crc32 &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1compress__stream__kernel__2_1_1decompression__error.html">decompression_error</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a3def979ed0b03823fef05dd570a1b8aa"><td class="memItemLeft" align="right" valign="top"><a id="a3def979ed0b03823fef05dd570a1b8aa"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>compress</b> (std::istream &amp;in, std::ostream &amp;out) const</td></tr>
<tr class="separator:a3def979ed0b03823fef05dd570a1b8aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d50827e9af2e2a39daf95119865b803"><td class="memItemLeft" align="right" valign="top"><a id="a2d50827e9af2e2a39daf95119865b803"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>decompress</b> (std::istream &amp;in, std::ostream &amp;out) const</td></tr>
<tr class="separator:a2d50827e9af2e2a39daf95119865b803"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a069d4deaf27b073d151df3f37f07ff6e"><td class="memItemLeft" align="right" valign="top"><a id="a069d4deaf27b073d151df3f37f07ff6e"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>compress_stream_kernel_2</b> (<a class="el" href="classdlib_1_1compress__stream__kernel__2.html">compress_stream_kernel_2</a> &amp;)</td></tr>
<tr class="separator:a069d4deaf27b073d151df3f37f07ff6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b8c19fe13a31ddfb2e3ce43bd3d62ba"><td class="memItemLeft" align="right" valign="top"><a id="a5b8c19fe13a31ddfb2e3ce43bd3d62ba"></a>
<a class="el" href="classdlib_1_1compress__stream__kernel__2.html">compress_stream_kernel_2</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (<a class="el" href="classdlib_1_1compress__stream__kernel__2.html">compress_stream_kernel_2</a> &amp;)</td></tr>
<tr class="separator:a5b8c19fe13a31ddfb2e3ce43bd3d62ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a550dd6371ee249e253e633cfa6bea5f3"><td class="memItemLeft" align="right" valign="top">static const unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1compress__stream__kernel__2.html#a550dd6371ee249e253e633cfa6bea5f3">eof_symbol</a> = 256</td></tr>
<tr class="separator:a550dd6371ee249e253e633cfa6bea5f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a550dd6371ee249e253e633cfa6bea5f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a550dd6371ee249e253e633cfa6bea5f3">&#9670;&nbsp;</a></span>eof_symbol</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename fce, typename fcd, typename lz77_buffer, typename sliding_buffer, typename fce_length, typename fcd_length, typename fce_index, typename fcd_index, typename crc32&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const unsigned long <a class="el" href="classdlib_1_1compress__stream__kernel__2.html">dlib::compress_stream_kernel_2</a>&lt; fce, fcd, <a class="el" href="classdlib_1_1lz77__buffer.html">lz77_buffer</a>, <a class="el" href="classdlib_1_1sliding__buffer.html">sliding_buffer</a>, fce_length, fcd_length, fce_index, fcd_index, <a class="el" href="classdlib_1_1crc32.html">crc32</a> &gt;::eof_symbol = 256</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<pre class="fragment">REQUIREMENTS ON fce
    is an implementation of entropy_encoder_model/entropy_encoder_model_kernel_abstract.h
    the alphabet_size of fce must be 257.
    fce and fcd share the same kernel number.

REQUIREMENTS ON fcd
    is an implementation of entropy_decoder_model/entropy_decoder_model_kernel_abstract.h
    the alphabet_size of fcd must be 257.
    fce and fcd share the same kernel number.

REQUIREMENTS ON lz77_buffer
    is an implementation of lz77_buffer/lz77_buffer_kernel_abstract.h

REQUIREMENTS ON sliding_buffer
    is an implementation of sliding_buffer/sliding_buffer_kernel_abstract.h
    is instantiated with T = unsigned char

REQUIREMENTS ON fce_length
    is an implementation of entropy_encoder_model/entropy_encoder_model_kernel_abstract.h
    the alphabet_size of fce must be 513.  This will be used to encode the length of lz77 matches.
    fce_length and fcd share the same kernel number.

REQUIREMENTS ON fcd_length
    is an implementation of entropy_decoder_model/entropy_decoder_model_kernel_abstract.h
    the alphabet_size of fcd must be 513.  This will be used to decode the length of lz77 matches.
    fce_length and fcd share the same kernel number.

REQUIREMENTS ON fce_index
    is an implementation of entropy_encoder_model/entropy_encoder_model_kernel_abstract.h
    the alphabet_size of fce must be 32257.  This will be used to encode the index of lz77 matches.
    fce_index and fcd share the same kernel number.

REQUIREMENTS ON fcd_index
    is an implementation of entropy_decoder_model/entropy_decoder_model_kernel_abstract.h
    the alphabet_size of fcd must be 32257.  This will be used to decode the index of lz77 matches.
    fce_index and fcd share the same kernel number.

REQUIREMENTS ON crc32
    is an implementation of crc32/crc32_kernel_abstract.h

INITIAL VALUE
    this object has no state

CONVENTION
    this object has no state
</pre><p> ! </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="compress__stream__kernel__2_8h_source.html">compress_stream_kernel_2.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
